org.hibernate.search.query.hibernate.impl

## Class SecondLevelCacheObjectInitializer

- java.lang.Object
- - org.hibernate.search.query.hibernate.impl.SecondLevelCacheObjectInitializer

- All Implemented Interfaces:
    ObjectInitializer

      public class SecondLevelCacheObjectInitializer
      extends Object
      implements ObjectInitializer

  Check if the entity is available in the second level cache and load it if there before falling back to the delegate method.
  Author:
    Emmanuel Bernard

- - ### Field Summary

    - ### Fields inherited from interface org.hibernate.search.query.hibernate.impl.ObjectInitializer

      `ENTITY_NOT_YET_INITIALIZED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecondLevelCacheObjectInitializer(ObjectInitializer delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeObjects(List<EntityInfo> entityInfos, LinkedHashMap<EntityInfoLoadKey,Object> idToObjectMap, ObjectInitializationContext objectInitializationContext)` Given a array of

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecondLevelCacheObjectInitializer

          public SecondLevelCacheObjectInitializer(ObjectInitializer delegate)

  - ### Method Detail

    - #### initializeObjects

          public void initializeObjects(List<EntityInfo> entityInfos,
                                        LinkedHashMap<EntityInfoLoadKey,Object> idToObjectMap,
                                        ObjectInitializationContext objectInitializationContext)

      Description copied from interface: `ObjectInitializer`
      Given a array of
      Specified by:
        `initializeObjects` in interface `ObjectInitializer`
      Parameters:
        `entityInfos` - the `EntityInfo` instances to initialize
        `idToObjectMap` - map keeping to store the loaded entities in
        `objectInitializationContext` - gives access to the resources needed in the context of entity initialization

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved